%define	module	Log-Message-Simple
%define name	perl-%{module}
%define	modprefix Log

%define version 0.04

%define	rel	1
%define release %mkrel %{rel}

Summary:	Standardized logging facilities using the "Log::Message" module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.gz
%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.8.1
%endif
BuildRequires:	perl(Log::Message)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root


%description
Provides standardized logging facilities using the "Log::Message" module.

%prep
%setup -q -n %{module}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/%{modprefix}/*
%{_mandir}/*/*


%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.04-1mdv2009.0
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.1
+ Revision: 105467
- new version
- update to new version 0.04

  + Funda Wang <fundawang@mandriva.org>
    - fix tarball url

* Fri Jun 22 2007 Buchan Milne <bgmilne@mandriva.org> 0.02-1mdv2008.0
+ Revision: 42915
- Buildrequire Log::Message
- Import perl-Log-Message-Simple



* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.02-1mdv2007.1
- initial package
